Manifest-Version: 1.0
Bnd-LastModified: 1717471671343
Bundle-ClassPath: .,lib/jericho-html-3.1.jar
Bundle-ManifestVersion: 2
Bundle-Name: Liferay Blogs Service
Bundle-SymbolicName: com.liferay.blogs.service
Bundle-Vendor: Liferay, Inc.
Bundle-Version: 5.0.51.hotfix-5569-7413
Created-By: 1.8.0_381 (Oracle Corporation)
Import-Package: com.liferay.asset.auto.tagger.text.extractor;version="
 1.0",com.liferay.asset.display.page.model;version="4.0",com.liferay.a
 sset.display.page.service;version="2.7",com.liferay.asset.kernel.mode
 l;version="9.0",com.liferay.asset.kernel.service;version="7.3",com.li
 feray.blogs.configuration;version="1.3",com.liferay.blogs.exception;v
 ersion="1.1",com.liferay.blogs.linkback;version="1.0",com.liferay.blo
 gs.model;version="6.0",com.liferay.blogs.service;version="4.4",com.li
 feray.blogs.service.persistence;version="4.1",com.liferay.blogs.setti
 ngs;version="1.0",com.liferay.blogs.util.comparator;version="2.0",com
 .liferay.change.tracking.spi.reference;version="1.0",com.liferay.chan
 ge.tracking.spi.reference.builder;version="1.0",com.liferay.comment.u
 pgrade;version="2.0",com.liferay.counter.kernel.service;version="2.1"
 ,com.liferay.document.library.exportimport.data.handler;version="1.1"
 ,com.liferay.document.library.util;version="1.1",com.liferay.expando.
 kernel.model;version="5.0",com.liferay.expando.kernel.service;version
 ="1.8",com.liferay.expando.kernel.util;version="4.0",com.liferay.expo
 rtimport.content.processor;version="1.0",com.liferay.exportimport.dat
 a.handler.base;version="1.0",com.liferay.exportimport.kernel.lar;vers
 ion="4.3",com.liferay.exportimport.kernel.staging;version="2.2",com.l
 iferay.exportimport.kernel.staging.permission;version="1.0",com.lifer
 ay.exportimport.kernel.xstream;version="2.0",com.liferay.exportimport
 .staged.model.repository;version="1.1",com.liferay.friendly.url.excep
 tion;version="1.0",com.liferay.friendly.url.model;version="3.0",com.l
 iferay.friendly.url.service;version="1.6",com.liferay.message.boards.
 model;version="9.0",com.liferay.petra.function;version="1.5",com.life
 ray.petra.lang;version="1.3",com.liferay.petra.reflect;version="1.5",
 com.liferay.petra.sql.dsl;version="1.1",com.liferay.petra.sql.dsl.exp
 ression;version="1.4",com.liferay.petra.sql.dsl.query;version="2.0",c
 om.liferay.petra.sql.dsl.query.sort;version="1.0",com.liferay.petra.s
 tring;version="1.7",com.liferay.portal.aop;version="1.0",com.liferay.
 portal.configuration.metatype.bnd.util;version="2.0",com.liferay.port
 al.dao.orm.common,com.liferay.portal.dao.orm.custom.sql;version="1.1"
 ,com.liferay.portal.kernel.bean;version="10.0",com.liferay.portal.ker
 nel.change.tracking;version="2.2",com.liferay.portal.kernel.comment;v
 ersion="4.0",com.liferay.portal.kernel.configuration;version="7.0",co
 m.liferay.portal.kernel.dao.db;version="10.1",com.liferay.portal.kern
 el.dao.jdbc;version="9.0",com.liferay.portal.kernel.dao.orm;version="
 12.0",com.liferay.portal.kernel.exception;version="12.3",com.liferay.
 portal.kernel.json;version="11.0",com.liferay.portal.kernel.language;
 version="11.0",com.liferay.portal.kernel.log;version="7.1",com.lifera
 y.portal.kernel.model;version="24.0",com.liferay.portal.kernel.model.
 change.tracking;version="3.0",com.liferay.portal.kernel.model.impl;ve
 rsion="7.0",com.liferay.portal.kernel.module.configuration;version="2
 .1",com.liferay.portal.kernel.module.framework;version="1.4",com.life
 ray.portal.kernel.module.framework.service;version="1.0",com.liferay.
 portal.kernel.portlet;version="20.0",com.liferay.portal.kernel.portle
 t.url.builder;version="1.1",com.liferay.portal.kernel.portletfilerepo
 sitory;version="4.0",com.liferay.portal.kernel.repository.model;versi
 on="11.1",com.liferay.portal.kernel.sanitizer;version="8.0",com.lifer
 ay.portal.kernel.search;version="17.0",com.liferay.portal.kernel.sear
 ch.filter;version="1.0",com.liferay.portal.kernel.security.auth;versi
 on="5.1",com.liferay.portal.kernel.security.permission;version="6.2",
 com.liferay.portal.kernel.security.permission.resource;version="2.1",
 com.liferay.portal.kernel.security.permission.resource.definition;ver
 sion="1.0",com.liferay.portal.kernel.service;version="17.0",com.lifer
 ay.portal.kernel.service.change.tracking;version="1.0",com.liferay.po
 rtal.kernel.service.http;version="1.0",com.liferay.portal.kernel.serv
 ice.permission;version="5.0",com.liferay.portal.kernel.service.persis
 tence;version="16.0",com.liferay.portal.kernel.service.persistence.ch
 ange.tracking;version="1.4",com.liferay.portal.kernel.service.persist
 ence.change.tracking.helper;version="1.1",com.liferay.portal.kernel.s
 ervice.persistence.impl;version="4.1",com.liferay.portal.kernel.servl
 et.taglib.ui;version="8.0",com.liferay.portal.kernel.settings;version
 ="3.2",com.liferay.portal.kernel.social;version="2.0",com.liferay.por
 tal.kernel.systemevent;version="6.2",com.liferay.portal.kernel.theme;
 version="10.1",com.liferay.portal.kernel.transaction;version="8.1",co
 m.liferay.portal.kernel.trash;version="12.0",com.liferay.portal.kerne
 l.upgrade;version="18.1",com.liferay.portal.kernel.util;version="45.0
 ",com.liferay.portal.kernel.uuid;version="6.2",com.liferay.portal.ker
 nel.webserver;version="1.0",com.liferay.portal.kernel.workflow;versio
 n="17.2",com.liferay.portal.kernel.workflow.permission;version="7.0",
 com.liferay.portal.kernel.xml;version="7.0",com.liferay.portal.kernel
 .xmlrpc;version="6.2",com.liferay.portal.linkback,com.liferay.portal.
 search.batch;version="2.0",com.liferay.portal.search.query;version="1
 .7",com.liferay.portal.search.spi.model.index.contributor;version="1.
 1",com.liferay.portal.search.spi.model.index.contributor.helper;versi
 on="1.0",com.liferay.portal.search.spi.model.query.contributor;versio
 n="1.1",com.liferay.portal.search.spi.model.query.contributor.helper;
 version="1.1",com.liferay.portal.search.spi.model.registrar;version="
 2.0",com.liferay.portal.search.spi.model.registrar.contributor;versio
 n="1.0",com.liferay.portal.search.spi.model.result.contributor;versio
 n="1.1",com.liferay.portal.upgrade.registry;version="5.0",com.liferay
 .portal.upgrade.v7_0_0;version="6.0",com.liferay.portal.util;version=
 "36.0",com.liferay.portal.verify,com.liferay.portlet.documentlibrary.
 store;version="4.0",com.liferay.ratings.kernel.model;version="4.0",co
 m.liferay.ratings.kernel.service;version="2.6",com.liferay.rss.export
 ;version="1.0",com.liferay.rss.model;version="1.0",com.liferay.rss.ut
 il;version="1.0",com.liferay.sharing.security.permission.resource;ver
 sion="1.0",com.liferay.staging.model.listener;version="1.0",com.lifer
 ay.subscription.model;version="3.0",com.liferay.subscription.service;
 version="1.7",com.liferay.subscription.util;version="1.0",com.liferay
 .trash;version="2.1",com.liferay.trash.exception;version="1.1",com.li
 feray.trash.kernel.model;version="5.0",com.liferay.trash.kernel.servi
 ce;version="1.5",com.liferay.trash.model;version="4.0",com.liferay.tr
 ash.service;version="2.5",com.liferay.upload;version="1.2",com.lifera
 y.xstream.configurator;version="1.2",javax.portlet,javax.servlet.http
 ,javax.sql,org.apache.commons.logging,org.apache.log4j,org.osgi.frame
 work;version="1.8",org.slf4j
Javac-Debug: on
Javac-Deprecation: off
Javac-Encoding: UTF-8
Liferay-Releng-App-Title: Liferay Blogs
Liferay-Releng-Bundle: true
Liferay-Releng-Category: Communication
Liferay-Releng-Deprecated: false
Liferay-Releng-Fix-Delivery-Method: core
Liferay-Releng-Labs: false
Liferay-Releng-Marketplace: true
Liferay-Releng-Portal-Required: true
Liferay-Releng-Public: false
Liferay-Releng-Restart-Required: true
Liferay-Releng-Suite: collaboration
Liferay-Releng-Suite-Description: The Liferay Collaboration suite prov
 ides applications and features that help users share ideas, implement
  them, and produce terrific results. Its apps such as Message Boards 
 and Blogs help users start discussions, ask questions, share ideas, a
 nd connect with other users. Wiki allows users to share in-depth info
 rmation. And Alerts and Announcements facilitate broadcasting informa
 tion and notifications.<br /><br />As users collaborate, they're sure
  to produce important files. The suite's Documents and Media Library 
 allows users to store files, share them, and publish them. It not onl
 y works with Liferay's built-in repository but also allows you to int
 egrate with external repositories, such CMIS repositories. Users can 
 add and share all kinds of files, including documents, presentations,
  images, and videos. And the suite's Documents and Media app and Medi
 a Gallery help users display files the way they like them.<br /><br /
 >As users engage in site activities, you'll want to recognize them an
 d connect them with other users. The suite's social networking apps a
 nd features enable you to attribute social equity to active users aut
 omatically by increasing their rank on the site. You can even highlig
 ht user activities to show your site's liveliness. The Mentions featu
 re facilitates notifying specific users in the context of site conten
 t, discussions, and comments. The social apps also help users share t
 heir thoughts on the your sites and other social sites, such as Faceb
 ook and Twitter. Combined with the suite's collaboration and document
  management features, the Collaboration suite's social features help 
 develop awesome communities, foster high morale, and make work intere
 sting.<br /><br />Apps and Features: Activities, Alerts, Announcement
 s, Blogs, Bookmarks, Comments, Friends/My Sites/Portal/Site Members D
 irectory, Documents and Media, Friend Requests, Image Uploader, Invit
 e Members, Media Gallery, Message Boards, Mentions, Microblogs, Page 
 Flags/Comments/Ratings, Quick Note, Requests, Social Activity, User/G
 roup Statistics, Wiki.<br /><br />This suite may contain modules that
  depend on Foundation suite modules. This suite is available in the L
 iferay bundle.
Liferay-Releng-Suite-Title: Liferay Collaboration
Liferay-Releng-Support-Url: http://www.liferay.com
Liferay-Releng-Supported: true
Liferay-Require-SchemaVersion: 3.1.0
Liferay-Service: true
Private-Package: com.liferay.blogs.internal.asset.auto.tagger.text.ext
 ractor,com.liferay.blogs.internal.change.tracking.spi.reference,com.l
 iferay.blogs.internal.exportimport.content.processor,com.liferay.blog
 s.internal.exportimport.data.handler,com.liferay.blogs.internal.expor
 timport.staged.model.repository,com.liferay.blogs.internal.linkback,c
 om.liferay.blogs.internal.model.listener,com.liferay.blogs.internal.s
 earch,com.liferay.blogs.internal.search.spi.model.index.contributor,c
 om.liferay.blogs.internal.search.spi.model.query.contributor,com.life
 ray.blogs.internal.search.spi.model.result.contributor,com.liferay.bl
 ogs.internal.security.permission,com.liferay.blogs.internal.security.
 permission.resource.definition,com.liferay.blogs.internal.trash,com.l
 iferay.blogs.internal.upgrade.registry,com.liferay.blogs.internal.upg
 rade.v1_1_0,com.liferay.blogs.internal.upgrade.v1_1_2,com.liferay.blo
 gs.internal.upgrade.v2_0_0.util,com.liferay.blogs.internal.upgrade.v2
 _2_0,com.liferay.blogs.internal.upgrade.v3_0_0,com.liferay.blogs.inte
 rnal.util,com.liferay.blogs.internal.verify,com.liferay.blogs.interna
 l.workflow,com.liferay.blogs.internal.xstream.configurator,com.lifera
 y.blogs.model.impl,com.liferay.blogs.service.base,com.liferay.blogs.s
 ervice.http,com.liferay.blogs.service.impl,com.liferay.blogs.service.
 persistence.impl,com.liferay.blogs.service.persistence.impl.constants
 ,custom-sql,lib,resource-actions,net.htmlparser.jericho,net.htmlparse
 r.jericho.nodoc
Provide-Capability: osgi.service;objectClass:List<String>="com.liferay
 .asset.auto.tagger.text.extractor.TextExtractor";uses:="com.liferay.a
 sset.auto.tagger.text.extractor",osgi.service;objectClass:List<String
 >="com.liferay.blogs.internal.exportimport.content.processor.BlogsEnt
 ryExportImportContentProcessor,com.liferay.exportimport.content.proce
 ssor.ExportImportContentProcessor";uses:="com.liferay.blogs.internal.
 exportimport.content.processor,com.liferay.exportimport.content.proce
 ssor",osgi.service;objectClass:List<String>="com.liferay.blogs.linkba
 ck.LinkbackConsumer";uses:="com.liferay.blogs.linkback",osgi.service;
 objectClass:List<String>="com.liferay.blogs.service.persistence.Blogs
 EntryFinder";uses:="com.liferay.blogs.service.persistence",osgi.servi
 ce;objectClass:List<String>="com.liferay.blogs.service.persistence.Bl
 ogsEntryPersistence,com.liferay.portal.kernel.service.persistence.Bas
 ePersistence";uses:="com.liferay.blogs.service.persistence,com.lifera
 y.portal.kernel.service.persistence",osgi.service;objectClass:List<St
 ring>="com.liferay.change.tracking.spi.reference.TableReferenceDefini
 tion";uses:="com.liferay.change.tracking.spi.reference",osgi.service;
 objectClass:List<String>="com.liferay.document.library.exportimport.d
 ata.handler.DLExportableRepositoryPublisher";uses:="com.liferay.docum
 ent.library.exportimport.data.handler",osgi.service;objectClass:List<
 String>="com.liferay.exportimport.kernel.lar.StagedModelDataHandler";
 uses:="com.liferay.exportimport.kernel.lar",osgi.service;objectClass:
 List<String>="com.liferay.exportimport.staged.model.repository.Staged
 ModelRepository";uses:="com.liferay.exportimport.staged.model.reposit
 ory",osgi.service;objectClass:List<String>="com.liferay.portal.aop.Ao
 pService";uses:="com.liferay.portal.aop",osgi.service;objectClass:Lis
 t<String>="com.liferay.portal.kernel.dao.orm.ArgumentsResolver";uses:
 ="com.liferay.portal.kernel.dao.orm",osgi.service;objectClass:List<St
 ring>="com.liferay.portal.kernel.model.ModelListener";uses:="com.life
 ray.portal.kernel.model",osgi.service;objectClass:List<String>="com.l
 iferay.portal.kernel.search.BaseSearcher";uses:="com.liferay.portal.k
 ernel.search",osgi.service;objectClass:List<String>="com.liferay.port
 al.kernel.security.permission.PermissionUpdateHandler";uses:="com.lif
 eray.portal.kernel.security.permission",osgi.service;objectClass:List
 <String>="com.liferay.portal.kernel.security.permission.resource.defi
 nition.ModelResourcePermissionDefinition";uses:="com.liferay.portal.k
 ernel.security.permission.resource.definition",osgi.service;objectCla
 ss:List<String>="com.liferay.portal.kernel.security.permission.resour
 ce.definition.PortletResourcePermissionDefinition";uses:="com.liferay
 .portal.kernel.security.permission.resource.definition",osgi.service;
 objectClass:List<String>="com.liferay.portal.kernel.trash.TrashHandle
 r";uses:="com.liferay.portal.kernel.trash",osgi.service;objectClass:L
 ist<String>="com.liferay.portal.kernel.workflow.WorkflowHandler";uses
 :="com.liferay.portal.kernel.workflow",osgi.service;objectClass:List<
 String>="com.liferay.portal.kernel.xmlrpc.Method";uses:="com.liferay.
 portal.kernel.xmlrpc",osgi.service;objectClass:List<String>="com.life
 ray.portal.search.spi.model.index.contributor.ModelDocumentContributo
 r";uses:="com.liferay.portal.search.spi.model.index.contributor",osgi
 .service;objectClass:List<String>="com.liferay.portal.search.spi.mode
 l.index.contributor.ModelIndexerWriterContributor";uses:="com.liferay
 .portal.search.spi.model.index.contributor",osgi.service;objectClass:
 List<String>="com.liferay.portal.search.spi.model.query.contributor.K
 eywordQueryContributor";uses:="com.liferay.portal.search.spi.model.qu
 ery.contributor",osgi.service;objectClass:List<String>="com.liferay.p
 ortal.search.spi.model.query.contributor.ModelPreFilterContributor";u
 ses:="com.liferay.portal.search.spi.model.query.contributor",osgi.ser
 vice;objectClass:List<String>="com.liferay.portal.search.spi.model.re
 sult.contributor.ModelSummaryContributor";uses:="com.liferay.portal.s
 earch.spi.model.result.contributor",osgi.service;objectClass:List<Str
 ing>="com.liferay.portal.search.spi.model.result.contributor.ModelVis
 ibilityContributor";uses:="com.liferay.portal.search.spi.model.result
 .contributor",osgi.service;objectClass:List<String>="com.liferay.port
 al.upgrade.registry.UpgradeStepRegistrator";uses:="com.liferay.portal
 .upgrade.registry",osgi.service;objectClass:List<String>="com.liferay
 .portal.verify.VerifyProcess";uses:="com.liferay.portal.verify",osgi.
 service;objectClass:List<String>="com.liferay.xstream.configurator.XS
 treamConfigurator";uses:="com.liferay.xstream.configurator",osgi.serv
 ice;objectClass:List<String>="com.liferay.blogs.service.BlogsEntryLoc
 alService",osgi.service;objectClass:List<String>="com.liferay.blogs.s
 ervice.BlogsEntryService",osgi.service;objectClass:List<String>="com.
 liferay.blogs.service.BlogsStatsUserLocalService"
Require-Capability: osgi.service;filter:="(objectClass=com.liferay.ass
 et.display.page.service.AssetDisplayPageEntryLocalService)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.asset.kernel.
 service.AssetEntryLocalService)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.asset.kernel.service.AssetLinkLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .blogs.service.BlogsEntryLocalService)";effective:=active,osgi.servic
 e;filter:="(objectClass=com.liferay.blogs.service.persistence.BlogsEn
 tryFinder)";effective:=active,osgi.service;filter:="(objectClass=com.
 liferay.blogs.service.persistence.BlogsEntryPersistence)";effective:=
 active,osgi.service;filter:="(objectClass=com.liferay.counter.kernel.
 service.CounterLocalService)";effective:=active,osgi.service;filter:=
 "(objectClass=com.liferay.expando.kernel.service.ExpandoRowLocalServi
 ce)";effective:=active,osgi.service;filter:="(objectClass=com.liferay
 .exportimport.content.processor.ExportImportContentProcessor)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.exportimpo
 rt.kernel.staging.Staging)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.exportimport.kernel.staging.permission.Stagin
 gPermission)";effective:=active,osgi.service;filter:="(objectClass=co
 m.liferay.friendly.url.service.FriendlyURLEntryLocalService)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.dao.
 orm.custom.sql.CustomSQL)";effective:=active,osgi.service;filter:="(o
 bjectClass=com.liferay.portal.kernel.comment.CommentManager)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.kern
 el.configuration.Configuration)";effective:=active,osgi.service;filte
 r:="(objectClass=com.liferay.portal.kernel.dao.orm.EntityCache)";effe
 ctive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.k
 ernel.dao.orm.FinderCache)";effective:=active,osgi.service;filter:="(
 objectClass=com.liferay.portal.kernel.dao.orm.SessionFactory)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.language.Language)";effective:=active,osgi.service;filter:="(obje
 ctClass=com.liferay.portal.kernel.model.Release)";effective:=active,o
 sgi.service;filter:="(objectClass=com.liferay.portal.kernel.module.co
 nfiguration.ConfigurationProvider)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.kernel.module.framework.Module
 ServiceLifecycle)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.portletfilerepository.PortletFileReposit
 ory)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.security.permission.resource.ModelResourcePermission)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.security.permission.resource.PortletResourcePermission)";
 effective:=active,osgi.service;filter:="(objectClass=com.liferay.port
 al.kernel.service.ClassNameLocalService)";effective:=active,osgi.serv
 ice;filter:="(objectClass=com.liferay.portal.kernel.service.CompanyLo
 calService)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.kernel.service.GroupLocalService)";effective:=active,
 osgi.service;filter:="(objectClass=com.liferay.portal.kernel.service.
 ImageLocalService)";effective:=active,osgi.service;filter:="(objectCl
 ass=com.liferay.portal.kernel.service.LayoutLocalService)";effective:
 =active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.
 service.OrganizationLocalService)";effective:=active,osgi.service;fil
 ter:="(objectClass=com.liferay.portal.kernel.service.PortletLocalServ
 ice)";effective:=active,osgi.service;filter:="(objectClass=com.lifera
 y.portal.kernel.service.RepositoryLocalService)";effective:=active,os
 gi.service;filter:="(objectClass=com.liferay.portal.kernel.service.Re
 sourceLocalService)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.service.UserGroupLocalService)";effect
 ive:=active,osgi.service;filter:="(objectClass=com.liferay.portal.ker
 nel.service.UserLocalService)";effective:=active,osgi.service;filter:
 ="(objectClass=com.liferay.portal.kernel.service.WorkflowInstanceLink
 LocalService)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.kernel.service.persistence.change.tracking.helper.C
 TPersistenceHelper)";effective:=active,osgi.service;filter:="(objectC
 lass=com.liferay.portal.kernel.util.FriendlyURLNormalizer)";effective
 :=active,osgi.service;filter:="(objectClass=com.liferay.portal.kernel
 .util.HtmlParser)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.portal.kernel.util.Http)";effective:=active,osgi.servi
 ce;filter:="(objectClass=com.liferay.portal.kernel.util.Localization)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.po
 rtal.kernel.util.Portal)";effective:=active,osgi.service;filter:="(ob
 jectClass=com.liferay.portal.kernel.uuid.PortalUUID)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.kernel.workf
 low.permission.WorkflowPermission)";effective:=active,osgi.service;fi
 lter:="(objectClass=com.liferay.portal.kernel.xmlrpc.XmlRpc)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.portal.sear
 ch.batch.DynamicQueryBatchIndexingActionableFactory)";effective:=acti
 ve,osgi.service;filter:="(objectClass=com.liferay.portal.search.query
 .QueryHelper)";effective:=active,osgi.service;filter:="(objectClass=c
 om.liferay.portal.search.spi.model.index.contributor.ModelIndexerWrit
 erContributor)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.portal.search.spi.model.query.contributor.ModelPreFilterC
 ontributor)";effective:=active,osgi.service;filter:="(objectClass=com
 .liferay.portal.search.spi.model.registrar.ModelSearchRegistrarHelper
 )";effective:=active,osgi.service;filter:="(objectClass=com.liferay.p
 ortal.search.spi.model.result.contributor.ModelSummaryContributor)";e
 ffective:=active,osgi.service;filter:="(objectClass=com.liferay.porta
 l.search.spi.model.result.contributor.ModelVisibilityContributor)";ef
 fective:=active,osgi.service;filter:="(objectClass=com.liferay.portle
 t.documentlibrary.store.StoreFactory)";effective:=active,osgi.service
 ;filter:="(objectClass=com.liferay.ratings.kernel.service.RatingsStat
 sLocalService)";effective:=active,osgi.service;filter:="(objectClass=
 com.liferay.rss.export.RSSExporter)";effective:=active,osgi.service;f
 ilter:="(objectClass=com.liferay.rss.model.SyndModelFactory)";effecti
 ve:=active,osgi.service;filter:="(objectClass=com.liferay.sharing.sec
 urity.permission.resource.SharingModelResourcePermissionConfigurator)
 ";effective:=active,osgi.service;filter:="(objectClass=com.liferay.st
 aging.model.listener.StagingModelListener)";effective:=active,osgi.se
 rvice;filter:="(objectClass=com.liferay.subscription.service.Subscrip
 tionLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.subscription.util.UnsubscribeHelper)";effective:=activ
 e,osgi.service;filter:="(objectClass=com.liferay.trash.service.TrashE
 ntryLocalService)";effective:=active,osgi.service;filter:="(objectCla
 ss=com.liferay.upload.UniqueFileNameProvider)";effective:=active,osgi
 .service;filter:="(objectClass=javax.sql.DataSource)";effective:=acti
 ve,osgi.extender;filter:="(&(osgi.extender=osgi.component)(version>=1
 .4.0)(!(version>=2.0.0)))",osgi.contract;osgi.contract=JavaServlet;fi
 lter:="(&(osgi.contract=JavaServlet)(version=3.1.0))",osgi.contract;o
 sgi.contract=JavaPortlet;filter:="(&(osgi.contract=JavaPortlet)(versi
 on=3.0.0))",osgi.ee;filter:="(&(osgi.ee=JavaSE)(version=1.8))"
Service-Component: OSGI-INF/com.liferay.blogs.internal.asset.auto.tagg
 er.text.extractor.BlogsEntryTextExtractor.xml,OSGI-INF/com.liferay.bl
 ogs.internal.change.tracking.spi.reference.BlogsEntryTableReferenceDe
 finition.xml,OSGI-INF/com.liferay.blogs.internal.exportimport.content
 .processor.BlogsEntryExportImportContentProcessor.xml,OSGI-INF/com.li
 feray.blogs.internal.exportimport.data.handler.BlogsDLExportableRepos
 itoryPublisher.xml,OSGI-INF/com.liferay.blogs.internal.exportimport.d
 ata.handler.BlogsEntryStagedModelDataHandler.xml,OSGI-INF/com.liferay
 .blogs.internal.exportimport.staged.model.repository.BlogsEntryStaged
 ModelRepository.xml,OSGI-INF/com.liferay.blogs.internal.linkback.Link
 backConsumerImpl.xml,OSGI-INF/com.liferay.blogs.internal.model.listen
 er.BlogsEntryStagingModelListener.xml,OSGI-INF/com.liferay.blogs.inte
 rnal.model.listener.GroupModelListener.xml,OSGI-INF/com.liferay.blogs
 .internal.model.listener.UserGroupModelListener.xml,OSGI-INF/com.life
 ray.blogs.internal.search.BlogsEntrySearchRegistrar.xml,OSGI-INF/com.
 liferay.blogs.internal.search.BlogsEntrySearcher.xml,OSGI-INF/com.lif
 eray.blogs.internal.search.spi.model.index.contributor.BlogsEntryMode
 lDocumentContributor.xml,OSGI-INF/com.liferay.blogs.internal.search.s
 pi.model.index.contributor.BlogsEntryModelIndexerWriterContributor.xm
 l,OSGI-INF/com.liferay.blogs.internal.search.spi.model.query.contribu
 tor.BlogsEntryKeywordQueryContributor.xml,OSGI-INF/com.liferay.blogs.
 internal.search.spi.model.query.contributor.BlogsEntryModelPreFilterC
 ontributor.xml,OSGI-INF/com.liferay.blogs.internal.search.spi.model.r
 esult.contributor.BlogsEntryModelSummaryContributor.xml,OSGI-INF/com.
 liferay.blogs.internal.search.spi.model.result.contributor.BlogsEntry
 ModelVisibilityContributor.xml,OSGI-INF/com.liferay.blogs.internal.se
 curity.permission.BlogsEntryPermissionUpdateHandler.xml,OSGI-INF/com.
 liferay.blogs.internal.security.permission.resource.definition.BlogsE
 ntryModelResourcePermissionDefinition.xml,OSGI-INF/com.liferay.blogs.
 internal.security.permission.resource.definition.BlogsPortletResource
 PermissionDefinition.xml,OSGI-INF/com.liferay.blogs.internal.trash.Bl
 ogsEntryTrashHandler.xml,OSGI-INF/com.liferay.blogs.internal.upgrade.
 registry.BlogsServiceUpgradeStepRegistrator.xml,OSGI-INF/com.liferay.
 blogs.internal.util.PingbackMethodImpl.xml,OSGI-INF/com.liferay.blogs
 .internal.verify.BlogsServiceVerifyProcess.xml,OSGI-INF/com.liferay.b
 logs.internal.workflow.BlogsEntryWorkflowHandler.xml,OSGI-INF/com.lif
 eray.blogs.internal.xstream.configurator.BlogsXStreamConfigurator.xml
 ,OSGI-INF/com.liferay.blogs.service.impl.BlogsEntryLocalServiceImpl.x
 ml,OSGI-INF/com.liferay.blogs.service.impl.BlogsEntryServiceImpl.xml,
 OSGI-INF/com.liferay.blogs.service.impl.BlogsStatsUserLocalServiceImp
 l.xml,OSGI-INF/com.liferay.blogs.service.persistence.impl.BlogsEntryF
 inderImpl.xml,OSGI-INF/com.liferay.blogs.service.persistence.impl.Blo
 gsEntryModelArgumentsResolver.xml,OSGI-INF/com.liferay.blogs.service.
 persistence.impl.BlogsEntryPersistenceImpl.xml
Tool: Bnd-4.3.0.201909301554

